Subject: Re: bonding: Do we need netlink events for LACP status?

From: Jay Vosburgh <[email-masked]>
Date: Mon, 04 Mar 2024 22:33:27 -0800

Hangbin Liu <[email-masked]> wrote:

>A customer asked to add netlink event notifications for LACP bond state
>changes. With this, the network monitor could get the LACP state of bonding
>and port interfaces, and end user may change the down link port based
>on the current LACP state. Do you think if this is a reasonable case
>and do able? If yes, I will add it to my to do list.

	I think I'm going to need some more detail here.

	To make sure I understand, the suggestion here is to add netlink
notifications for transitions in the LACP mux state machine (ATTACHED,
COLLECTING, DISTRIBUTING, et al), correct?  If not, then what
specifically do you mean?

	Also, what does "change the down link port" mean?

	-J

---
	-Jay Vosburgh, [email-masked]